%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-kaa-imlib2
Version:        0.2.3
Release:        4%{?dist}
Summary:        The Kaa Media - imlib2 binding for python

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.freevo.org/kaa
Source0:        http://downloads.sourceforge.net/freevo/kaa-imlib2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

   
BuildRequires:  python-devel
BuildRequires:  python-kaa-base >= 0.4.0
BuildRequires:  libdvdread-devel >= 0.9.5
BuildRequires:  libGL-devel, libGLU-devel
BuildRequires:  imlib2-devel >= 1.2.1, libpng-devel
#BuildRequires:  evas-devel >= 0.9.9.032
BuildRequires:  pygame-devel >= 1.7.1, python-sqlite2 >= 2.2.2
BuildRequires:  xine-lib-devel >= 1.1.1
BuildRequires:  glib2-devel
BuildRequires:  zvbi-devel, directfb-devel
#BuildRequires:  epeg
Requires:  python-kaa-base >= 0.4.0
Requires:  pygame
Requires:  python-sqlite2

%description
The Kaa Media Repository is a set of python modules related to media.

Kaa modules are based on parts from Freevo and modules created for MeBox. 
Kaa exists to encourage code sharing between these projects, and to serve as 
an umbrella for several previously disparate media-related modules in order 
to make them available from one (unique) namespace. Kaa provides a base module 
that implements the common features needed for application development, such as
mainloop management, timers, signals, callbacks, file descriptor monitors, etc.
Kaa's other modules provide specific media-related functionality, such as 
retrieving metadata on arbitrary media files (kaa.metadata, previously 
called mmpython), Python wrappers for Imlib2, Xine, and Evas, and many other 
high level APIs for easily creating applications that deal with video and
audio.

Kaa is named after the python in the Jungle Book by Rudyard Kipling.


%prep
%setup -q -n kaa-imlib2-%{version}

#Fix encoding
cp -pr AUTHORS AUTHORS.not-utf8
iconv -f ISO_8859-1 -t UTF8 AUTHORS.not-utf8 > AUTHORS
touch -r AUTHORS.not-utf8 AUTHORS
rm AUTHORS.not-utf8


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


# Fix perms
find $RPM_BUILD_ROOT -name "*.py" |xargs chmod 0644


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{python_sitearch}/*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.3-3
- Rebuild for Python 2.6

* Tue Mar 25 2008 kwizart < kwizart at gmail.com > - 0.2.3-2
- Rebuild for kaa-base 0.4.0

* Wed Feb 13 2008 kwizart < kwizart at gmail.com > - 0.2.3-1
- Update to 0.2.3

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 0.2.2-2
- Rebuild for gcc43

* Wed Dec 26 2007 kwizart < kwizart at gmail.com > - 0.2.2-1
- Update to 0.2.2

* Sun Aug 26 2007 kwizart < kwizart at gmail.com > - 0.2.1-3
- Rebuild for BuildID
- Update the License field

* Sat Apr 21 2007 kwizart < kwizart at gmail.com > - 0.2.1-2
- Add Requires for python packages

* Wed Apr 18 2007 kwizart < kwizart at gmail.com > - 0.2.1-1
- Update to 0.2.1

* Mon Jan 1 2007 TC Wan <tcwan@cs.usm.my>
- Initial SPEC file

